## EList

EList

## Functions

gpointer | (*EListCopyFunc) ()
void | (*EListFreeFunc) ()
EList * | e_list_new ()
void | e_list_construct ()
EList * | e_list_duplicate ()
EIterator * | e_list_get_iterator ()
void | e_list_append ()
void | e_list_remove ()
gint | e_list_length ()
void | e_list_remove_link ()
void | e_list_remove_iterator ()
void | e_list_invalidate_iterators ()

## Types and Values

struct | EList
struct | EListClass

## Description

## Functions

### EListCopyFunc ()

    gpointer
    (*EListCopyFunc) (gconstpointer data,
                      gpointer closure);

`EListCopyFunc` is deprecated and should not be used in newly-written code.

### EListFreeFunc ()

    void
    (*EListFreeFunc) (gpointer data,
                      gpointer closure);

`EListFreeFunc` is deprecated and should not be used in newly-written code.

### e_list_new ()

    EList *
    e_list_new (EListCopyFunc copy,
                EListFreeFunc free,
                gpointer closure);

`e_list_new` is deprecated and should not be used in newly-written code.

#### Parameters

copy | the copy func. | [scope call]
free | the free func. | [scope call]
closure | user data |

#### Returns

The new EList.

[transfer full]

### e_list_construct ()

    void
    e_list_construct (EList *list,
                      EListCopyFunc copy,
                      EListFreeFunc free,
                      gpointer closure);

`e_list_construct` is deprecated and should not be used in newly-written code.

#### Parameters

list | The EList. |
copy | the copy func. | [scope call]
free | the free func. | [scope call]
closure | user data |

### e_list_duplicate ()

    EList *
    e_list_duplicate (EList *list);

`e_list_duplicate` is deprecated and should not be used in newly-written code.

#### Parameters

list | The EList object. |

#### Returns

The duplicated EList.

[transfer full]

### e_list_get_iterator ()

    EIterator *
    e_list_get_iterator (EList *list);

`e_list_get_iterator` is deprecated and should not be used in newly-written code.

#### Parameters

list | The EList object. |

#### Returns

the EIterator.

[transfer none]

### e_list_append ()

    void
    e_list_append (EList *list,
                   gconstpointer data);

`e_list_append` is deprecated and should not be used in newly-written code.

### e_list_remove ()

    void
    e_list_remove (EList *list,
                   gconstpointer data);

`e_list_remove` is deprecated and should not be used in newly-written code.

### e_list_length ()

    gint
    e_list_length (EList *list);

`e_list_length` is deprecated and should not be used in newly-written code.

### e_list_remove_link ()

    void
    e_list_remove_link (EList *list,
                        GList *link);

`e_list_remove_link` is deprecated and should not be used in newly-written code.

### e_list_remove_iterator ()

    void
    e_list_remove_iterator (EList *list,
                            EIterator *iterator);

`e_list_remove_iterator` is deprecated and should not be used in newly-written code.

### e_list_invalidate_iterators ()

    void
    e_list_invalidate_iterators (EList *list,
                                 EIterator *skip);

`e_list_invalidate_iterators` is deprecated and should not be used in newly-written code.

## Types and Values

### struct EList

    struct EList {
    	GObject parent;

    	GList *list;
    	GList *iterators;
    	EListCopyFunc copy;
    	EListFreeFunc free;
    	gpointer closure;
    };

`EList` is deprecated and should not be used in newly-written code.

### struct EListClass

    struct EListClass {
    	GObjectClass parent_class;
    };

`EListClass` is deprecated and should not be used in newly-written code.